Public Attributes | List of all members
_calendar_handle Struct Reference
Peripheral Driver » HAL Driver » CALENDAR » Structures » CALENDAR handle

CALENDAR handle Structure definition. More...

`#include <gr55xx_hal_calendar.h>`

Collaboration diagram for _calendar_handle:
[legend]

## Public Attributes
calendar_time_t | time_init
| Specifies the Calendar inital time. More...
calendar_alarm_t | alarm
| Specifies the Calendar date alarm. More...
hal_lock_t | lock
| Specifies the Calendar locking object. More...
uint32_t | prev_ms
| Accumulated millisecond count . More...
uint32_t | interval
| Specifies the Calendar milliseconds alarm. More...
uint8_t | mode
| Specifies the Calendar alarm mode. More...
uint8_t | sec
| The seconds for the date alarm. More...
uint16_t | ms
| The milliseconds for the date alarm. More...
hal_calender_state_t | state
| Calendar state. More...

## Detailed Description

CALENDAR handle Structure definition.

Definition at line 152 of file gr55xx_hal_calendar.h.

## Member Data Documentation

## ◆ alarm

calendar_alarm_t _calendar_handle::alarm

Specifies the Calendar date alarm.

Definition at line 156 of file gr55xx_hal_calendar.h.

## ◆ interval

uint32_t _calendar_handle::interval

Specifies the Calendar milliseconds alarm.

Definition at line 162 of file gr55xx_hal_calendar.h.

## ◆ lock

hal_lock_t _calendar_handle::lock

Specifies the Calendar locking object.

Definition at line 158 of file gr55xx_hal_calendar.h.

## ◆ mode

uint8_t _calendar_handle::mode

Specifies the Calendar alarm mode.

Definition at line 164 of file gr55xx_hal_calendar.h.

## ◆ ms

uint16_t _calendar_handle::ms

The milliseconds for the date alarm.

Definition at line 168 of file gr55xx_hal_calendar.h.

## ◆ prev_ms

uint32_t _calendar_handle::prev_ms

Accumulated millisecond count .

Definition at line 160 of file gr55xx_hal_calendar.h.

## ◆ sec

uint8_t _calendar_handle::sec

The seconds for the date alarm.

Definition at line 166 of file gr55xx_hal_calendar.h.

## ◆ state

hal_calender_state_t _calendar_handle::state

Calendar state.

Definition at line 170 of file gr55xx_hal_calendar.h.

## ◆ time_init

calendar_time_t _calendar_handle::time_init

Specifies the Calendar inital time.

Definition at line 154 of file gr55xx_hal_calendar.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_calendar.h